IFNAMES(1)

NAME
ifnames - print identifiers that a package uses in C preprocessor conditionals

SYNOPSIS
ifnames [ --help | -h ] [ --version | -V ]

DESCRIPTION

ifnames can help when writing a configure.ac for a software package. It prints the identifiers that the package already uses in C preprocessor conditionals. If a package has already been set up to have some portability, this program can help you figure out what its configure needs to check for. It may help fill in some gaps in a configure.ac generated by autoscan (see autoscan(1)).

ifnames scans all of the C source files named on the command line (or the standard input, if none are given) and writes to the standard output a sorted list of all the identifiers that appear in those files in #if, #elif, #ifdef, or #ifndef directives. It prints each identifier on a line, followed by a space-separated list of the files in which that identifier occurs.

ifnames accepts the following options:

--help

-h  Print a summary of the command line options and exit.

--version

-V  Print the version number of Autoconf and exit.

SEE ALSO
autoconf(1), autoheader(1), autoreconf(1), autoscan(1), autoupdate(1)

AUTHORS
David MacKenzie, with help from Franc,ois Pinard, Karl Berry, Richard Pixley, Ian Lance Taylor, Roland McGrath, Noah Friedman, David D. Zuhn, and many others. This manpage written by Ben Pfaff <pfaffben@debian.org> for the Debian GNU/Linux autoconf package.